<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Product;
use Illuminate\Http\Request;

class ProductsController extends Controller
{
    public function index(Request $request)
    {
        $products = Product::with(['productOptions', 'requiredOptions'])->orderBy('sort', 'ASC');
        if ($request->input('category_id') != null)
        {
            $products = $products->where('category_id', $request->input('category_id'));
        }
        if ($request->input('restaurant_id') != null)
        {
            $products = $products->where('restaurant_id', $request->input('restaurant_id'));
        }
        return response()->json($products->get());
    }

	public function show(Request $request, $id)
	{
		return response()->json(
			Product::with(['productOptions', 'requiredOptions'])->find($id)
		);
	}
}
