<?php

namespace App\Http\Controllers\Api;

use Mail;
use App\Models\Category;
use App\Models\Product;
use App\Models\Settings;
use App\Models\Restaurant;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class SearchController extends Controller
{
    public function total(Request $request)
	{
		$q = $request->input('q');
		$user = $request->user;
		$product_relation = ($user != null && $user->city_id != null && Settings::getSettings()->multiple_cities == '1') ? 
			Product::whereIN('category_id',  Category::where('city_id', $user->city_id)->pluck('id')) :
			Product::where('id', '>', '0');
		$restaurant_relation = ($user != null && $user->city_id != null && Settings::getSettings()->multiple_cities == '1') ? 
			Restaurant::with('cuisines')->where('city_id', $user->city_id) :
			Restaurant::with('cuisines');

		$result = array(
			'products' =>
				$product_relation->
					where('name', 'LIKE', '%' . $q . '%')->
					orderBy('sort', 'ASC')->
					limit(10)->
					get(),
			'restaurants' =>
				$restaurant_relation->
					where('name', 'LIKE', '%' . $q . '%')->
					orderBy('sort', 'ASC')->
					limit(10)->
					get()
		);
		return response()->json($result);
	}
}
