<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cuisine extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'sort'];
    protected $appends = ['image_url'];
    protected $hidden = ['image'];

    public function restaurants()
    {
        return $this->belongsToMany(Restaurant::class);
    }
	
	public function getImageUrlAttribute()
    {
		if ($this->image && $this->image != null && $this->image != '') {
			return url($this->image);
		}
		return null;
    }
}
