-- MySQL dump 10.13  Distrib 8.0.22-13, for Linux (x86_64)
--
-- Host: localhost    Database: delivery
-- ------------------------------------------------------
-- Server version	8.0.22-13

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*!50717 SELECT COUNT(*) INTO @rocksdb_has_p_s_session_variables FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = 'performance_schema' AND TABLE_NAME = 'session_variables' */;
/*!50717 SET @rocksdb_get_is_supported = IF (@rocksdb_has_p_s_session_variables, 'SELECT COUNT(*) INTO @rocksdb_is_supported FROM performance_schema.session_variables WHERE VARIABLE_NAME=\'rocksdb_bulk_load\'', 'SELECT 0') */;
/*!50717 PREPARE s FROM @rocksdb_get_is_supported */;
/*!50717 EXECUTE s */;
/*!50717 DEALLOCATE PREPARE s */;
/*!50717 SET @rocksdb_enable_bulk_load = IF (@rocksdb_is_supported, 'SET SESSION rocksdb_bulk_load = 1', 'SET @rocksdb_dummy_bulk_load = 0') */;
/*!50717 PREPARE s FROM @rocksdb_enable_bulk_load */;
/*!50717 EXECUTE s */;
/*!50717 DEALLOCATE PREPARE s */;

--
-- Table structure for table `api_tokens`
--

DROP TABLE IF EXISTS `api_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `api_tokens` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `push_token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `api_tokens_customer_id_foreign` (`customer_id`),
  CONSTRAINT `api_tokens_customer_id_foreign` FOREIGN KEY (`customer_id`) REFERENCES `customers` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `api_tokens`
--

LOCK TABLES `api_tokens` WRITE;
/*!40000 ALTER TABLE `api_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `api_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `_lft` int unsigned NOT NULL DEFAULT '0',
  `_rgt` int unsigned NOT NULL DEFAULT '0',
  `parent_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `restaurant_id` int unsigned DEFAULT NULL,
  `city_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories__lft__rgt_parent_id_index` (`_lft`,`_rgt`,`parent_id`),
  KEY `categories_restaurant_id_foreign` (`restaurant_id`),
  KEY `categories_city_id_foreign` (`city_id`),
  CONSTRAINT `categories_city_id_foreign` FOREIGN KEY (`city_id`) REFERENCES `cities` (`id`) ON DELETE SET NULL,
  CONSTRAINT `categories_restaurant_id_foreign` FOREIGN KEY (`restaurant_id`) REFERENCES `restaurants` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Pizza',1,2,NULL,'2021-03-09 04:48:29','2021-03-09 04:48:29','/demo/category1.jpg',1,1),(2,'Drinks',3,4,NULL,'2021-03-09 04:48:29','2021-03-09 04:48:29','/demo/category2.jpg',1,1),(3,'Pasta and noodle',5,10,NULL,'2021-03-09 04:48:29','2021-03-09 04:48:29','/demo/category3.jpg',1,1),(4,'Noodles',6,7,3,'2021-03-09 04:48:29','2021-03-09 04:48:29','/demo/category4.jpg',1,1),(5,'Pasta',8,9,3,'2021-03-09 04:48:29','2021-03-09 04:48:29','/demo/category5.jpg',1,1);
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities`
--

DROP TABLE IF EXISTS `cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sort` int NOT NULL DEFAULT '500',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities`
--

LOCK TABLES `cities` WRITE;
/*!40000 ALTER TABLE `cities` DISABLE KEYS */;
INSERT INTO `cities` VALUES (1,'Default city',500,'2021-03-09 04:48:29','2021-03-09 04:48:29');
/*!40000 ALTER TABLE `cities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `city_user`
--

DROP TABLE IF EXISTS `city_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `city_user` (
  `city_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned NOT NULL,
  KEY `city_user_city_id_foreign` (`city_id`),
  KEY `city_user_user_id_foreign` (`user_id`),
  CONSTRAINT `city_user_city_id_foreign` FOREIGN KEY (`city_id`) REFERENCES `cities` (`id`) ON DELETE CASCADE,
  CONSTRAINT `city_user_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `city_user`
--

LOCK TABLES `city_user` WRITE;
/*!40000 ALTER TABLE `city_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `city_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cuisine_restaurant`
--

DROP TABLE IF EXISTS `cuisine_restaurant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cuisine_restaurant` (
  `restaurant_id` bigint unsigned NOT NULL,
  `cuisine_id` bigint unsigned NOT NULL,
  KEY `cuisine_restaurant_restaurant_id_index` (`restaurant_id`),
  KEY `cuisine_restaurant_cuisine_id_index` (`cuisine_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cuisine_restaurant`
--

LOCK TABLES `cuisine_restaurant` WRITE;
/*!40000 ALTER TABLE `cuisine_restaurant` DISABLE KEYS */;
/*!40000 ALTER TABLE `cuisine_restaurant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cuisines`
--

DROP TABLE IF EXISTS `cuisines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cuisines` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sort` int NOT NULL DEFAULT '500',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cuisines`
--

LOCK TABLES `cuisines` WRITE;
/*!40000 ALTER TABLE `cuisines` DISABLE KEYS */;
/*!40000 ALTER TABLE `cuisines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customers`
--

DROP TABLE IF EXISTS `customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `customers` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `phone` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `city_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `loyalty_points` int NOT NULL DEFAULT '0',
  `loyalty_reward` int NOT NULL DEFAULT '0',
  `ordered_money_left` double(8,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`),
  KEY `customers_city_id_foreign` (`city_id`),
  CONSTRAINT `customers_city_id_foreign` FOREIGN KEY (`city_id`) REFERENCES `cities` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customers`
--

LOCK TABLES `customers` WRITE;
/*!40000 ALTER TABLE `customers` DISABLE KEYS */;
INSERT INTO `customers` VALUES (1,'John Doe','12341234','test@example.com','$2y$10$CUs4a2sTKF301W7bFhRVVOSd3wXK3HBBwzbAl2Ev1wCWGHmEqYPSS',NULL,'2021-03-09 04:48:29','2021-03-09 04:48:29',0,0,0.00);
/*!40000 ALTER TABLE `customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `delivery_areas`
--

DROP TABLE IF EXISTS `delivery_areas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `delivery_areas` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `coords` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` double(8,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `city_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `delivery_areas_city_id_foreign` (`city_id`),
  CONSTRAINT `delivery_areas_city_id_foreign` FOREIGN KEY (`city_id`) REFERENCES `cities` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `delivery_areas`
--

LOCK TABLES `delivery_areas` WRITE;
/*!40000 ALTER TABLE `delivery_areas` DISABLE KEYS */;
INSERT INTO `delivery_areas` VALUES (1,'Moscow centre','[{\"lat\":55.83554952813204,\"lng\":37.360978842609484},{\"lat\":55.92336689054051,\"lng\":37.498307944171984},{\"lat\":55.898736455276584,\"lng\":37.729020834796984},{\"lat\":55.80623291526097,\"lng\":37.866349936359484},{\"lat\":55.68255207589151,\"lng\":37.855363608234484},{\"lat\":55.60815527904811,\"lng\":37.794938803546984},{\"lat\":55.558478870586995,\"lng\":37.608171225421984},{\"lat\":55.63296991482031,\"lng\":37.437883139484484},{\"lat\":55.74907925458769,\"lng\":37.339006186359484},{\"lat\":55.807776445635554,\"lng\":37.355485678546984}]',3.00,'2021-03-09 04:48:29','2021-03-09 04:48:29',1),(2,'Bangkok centre','[{\"lat\":13.718690982139048,\"lng\":100.40994079355471},{\"lat\":13.809393131961516,\"lng\":100.40444762949221},{\"lat\":13.809393131961516,\"lng\":100.50607116464846},{\"lat\":13.85206430222147,\"lng\":100.58572204355471},{\"lat\":13.73203173790169,\"lng\":100.61868102792971},{\"lat\":13.622615195912044,\"lng\":100.61868102792971},{\"lat\":13.611937692896884,\"lng\":100.52529723886721},{\"lat\":13.63062300674803,\"lng\":100.40444762949221}]',2.50,'2021-03-09 04:48:29','2021-03-09 04:48:29',1),(3,'New York centre','[{\"lat\":40.941573014397186,\"lng\":-74.20888655729084},{\"lat\":41.030725206323886,\"lng\":-73.96169417447834},{\"lat\":40.976833635739865,\"lng\":-73.67879622525959},{\"lat\":40.7608268338786,\"lng\":-73.69802229947834},{\"lat\":40.59001719799534,\"lng\":-73.60463851041584},{\"lat\":40.583759768293646,\"lng\":-74.05233138150959},{\"lat\":40.498182895133695,\"lng\":-74.29952376432209},{\"lat\":40.60670081482032,\"lng\":-74.45607894010334},{\"lat\":40.81281587335936,\"lng\":-74.28029769010334}]',5.00,'2021-03-09 04:48:29','2021-03-09 04:48:29',1);
/*!40000 ALTER TABLE `delivery_areas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `delivery_boy_api_tokens`
--

DROP TABLE IF EXISTS `delivery_boy_api_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `delivery_boy_api_tokens` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `delivery_boy_id` int unsigned NOT NULL,
  `platform` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `push_token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `delivery_boy_api_tokens_delivery_boy_id_foreign` (`delivery_boy_id`),
  CONSTRAINT `delivery_boy_api_tokens_delivery_boy_id_foreign` FOREIGN KEY (`delivery_boy_id`) REFERENCES `delivery_boys` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `delivery_boy_api_tokens`
--

LOCK TABLES `delivery_boy_api_tokens` WRITE;
/*!40000 ALTER TABLE `delivery_boy_api_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `delivery_boy_api_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `delivery_boy_messages`
--

DROP TABLE IF EXISTS `delivery_boy_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `delivery_boy_messages` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `delivery_boy_id` int unsigned NOT NULL,
  `read` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `delivery_boy_messages_delivery_boy_id_foreign` (`delivery_boy_id`),
  CONSTRAINT `delivery_boy_messages_delivery_boy_id_foreign` FOREIGN KEY (`delivery_boy_id`) REFERENCES `delivery_boys` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `delivery_boy_messages`
--

LOCK TABLES `delivery_boy_messages` WRITE;
/*!40000 ALTER TABLE `delivery_boy_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `delivery_boy_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `delivery_boys`
--

DROP TABLE IF EXISTS `delivery_boys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `delivery_boys` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `login` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `delivery_boys`
--

LOCK TABLES `delivery_boys` WRITE;
/*!40000 ALTER TABLE `delivery_boys` DISABLE KEYS */;
INSERT INTO `delivery_boys` VALUES (1,'John Smith','2021-03-09 04:48:29','2021-03-09 04:48:29','boy1','$2y$10$PHOQ1.lAxv6vRJx8i0QHru0JjoOhl0QgVqtU60YL5QjnaYC1SFVBy');
/*!40000 ALTER TABLE `delivery_boys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disabled_dates`
--

DROP TABLE IF EXISTS `disabled_dates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `disabled_dates` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `date_from` date NOT NULL,
  `date_to` date NOT NULL,
  `restaurant_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `disabled_dates_restaurant_id_index` (`restaurant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `disabled_dates`
--

LOCK TABLES `disabled_dates` WRITE;
/*!40000 ALTER TABLE `disabled_dates` DISABLE KEYS */;
/*!40000 ALTER TABLE `disabled_dates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=88 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2014_10_12_000000_create_users_table',1),(2,'2014_10_12_100000_create_password_resets_table',1),(3,'2014_10_12_200000_add_two_factor_columns_to_users_table',1),(4,'2017_03_30_180306_create_categories_table',1),(5,'2017_03_31_124009_add_image_to_categories',1),(6,'2017_04_03_134750_create_products_table',1),(7,'2017_04_03_140913_create_product_images_table',1),(8,'2017_04_07_145559_create_orders_table',1),(9,'2017_04_07_145619_create_ordered_products_table',1),(10,'2017_04_09_101351_create_news_items_table',1),(11,'2017_04_09_140135_create_settings_table',1),(12,'2017_04_09_180814_create_push_messages_table',1),(13,'2017_04_09_192319_add_gcm_project_to_settings',1),(14,'2017_04_13_081723_change_news_feed_texts',1),(15,'2017_04_19_182522_create_delivery_areas_table',1),(16,'2017_04_20_054541_add_delivery_area_id_to_orders',1),(17,'2017_05_11_074026_add_notification_email_to_settings',1),(18,'2017_05_13_134349_create_promo_codes_table',1),(19,'2017_05_13_140716_add_promo_code_to_orders',1),(20,'2018_03_09_125327_add_stripe_fields_to_settings',1),(21,'2018_03_09_125955_add_payment_method_to_orders',1),(22,'2018_03_11_082151_add_paypal_to_settings',1),(23,'2018_03_12_120831_add_paypal_id_to_orders',1),(24,'2018_03_26_103140_create_tax_groups_table',1),(25,'2018_03_26_105638_add_tax_group_id_to_products',1),(26,'2018_03_26_112646_add_total_tax_to_orders',1),(27,'2018_03_26_113257_add_tax_included_to_settings',1),(28,'2018_03_27_090932_create_cities_table',1),(29,'2018_03_27_091215_create_restaurants_table',1),(30,'2018_03_27_094031_add_restaurant_id_to_categories',1),(31,'2018_03_27_094521_add_multiple_restaurants_to_settings',1),(32,'2018_03_27_121400_add_city_to_orders',1),(33,'2018_03_27_123051_add_city_to_delivery_areas',1),(34,'2018_03_27_140351_add_city_to_promo_codes',1),(35,'2018_03_28_071528_create_customers_table',1),(36,'2018_03_28_073738_add_customer_id_to_orders',1),(37,'2018_03_28_080253_add_signup_required_to_settings',1),(38,'2018_03_28_090304_create_api_tokens',1),(39,'2018_03_30_013810_create_cities_users_table',1),(40,'2018_03_30_015454_add_access_fields_to_users',1),(41,'2018_04_02_104602_create_delivery_boys_table',1),(42,'2018_04_02_104728_add_delivery_boy_id_to_orders',1),(43,'2018_04_02_110159_add_access_delivery_boys_to_users',1),(44,'2018_04_04_075520_add_paypal_production_to_settings',1),(45,'2018_04_06_071254_add_city_id_to_news_items',1),(46,'2018_04_20_123420_create_order_statuses_table',1),(47,'2018_04_20_123528_add_order_status_id_to_orders',1),(48,'2018_04_20_124947_add_access_order_statuses_to_users',1),(49,'2018_04_21_145653_add_date_format_backend_to_setings',1),(50,'2018_04_21_171950_add_date_format_app_to_settings',1),(51,'2018_05_02_105736_add_login_to_delivery_boys',1),(52,'2018_05_02_110837_create_delivery_boy_api_tokens',1),(53,'2018_05_07_114438_create_delivery_boy_messages_table',1),(54,'2018_05_16_142852_add_driver_onesignal_id_to_settings',1),(55,'2018_05_17_144726_add_available_to_delivery_boy_to_order_statuses',1),(56,'2018_06_08_171206_add_products_layout_to_settings',1),(57,'2018_06_13_144931_add_comment_to_orders',1),(58,'2018_08_08_091600_add_sort_to_products',1),(59,'2018_08_08_092135_create_vendors_table',1),(60,'2018_08_08_104656_add_loyalty_program_to_settings',1),(61,'2018_08_08_104829_add_loyalty_program_to_customers',1),(62,'2018_08_08_104917_add_loyalty_program_to_orders',1),(63,'2018_12_24_100859_add_push_token_to_api_tokens_table',1),(64,'2018_12_24_101302_add_customer_id_to_push_messages_table',1),(65,'2018_12_24_105820_add_send_push_on_status_change_to_settings',1),(66,'2018_12_25_131025_create_restaurant_user_table',1),(67,'2019_08_19_000000_create_failed_jobs_table',1),(68,'2019_12_14_000001_create_personal_access_tokens_table',1),(69,'2020_08_11_183145_add_work_hours_to_restaurants_table',1),(70,'2020_08_11_185104_add_contact_us_to_settings_table',1),(71,'2020_11_29_112203_create_sessions_table',1),(72,'2021_01_10_154334_add_app_layout_to_settings_table',1),(73,'2021_01_15_134055_create_required_options_table',1),(74,'2021_01_15_134552_create_product_options_table',1),(75,'2021_01_15_135515_add_required_options_heading_to_products_table',1),(76,'2021_01_15_142630_add_category_to_product_options_table',1),(77,'2021_01_18_143048_add_options_data_to_ordered_products',1),(78,'2021_01_18_143749_add_display_on_welcome_page_to_restaurants_table',1),(79,'2021_01_18_155621_add_extended_work_hours_to_restaurants_table',1),(80,'2021_01_18_155827_create_disabled_dates_table',1),(81,'2021_01_20_145708_create_cuisines_table',1),(82,'2021_01_20_150202_create_cuisine_restaurant_table',1),(83,'2021_01_20_161842_add_rating_to_orders_table',1),(84,'2021_01_20_162031_add_rating_to_restaurants_table',1),(85,'2021_01_20_172355_add_start_page_to_settings_table',1),(86,'2021_01_20_172817_add_restaurants_page_to_settings_table',1),(87,'2021_02_24_181359_add_google_maps_api_key_to_settings',1);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `news_items`
--

DROP TABLE IF EXISTS `news_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `news_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `announce` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `full_text` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `city_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `news_items_city_id_foreign` (`city_id`),
  CONSTRAINT `news_items_city_id_foreign` FOREIGN KEY (`city_id`) REFERENCES `cities` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `news_items`
--

LOCK TABLES `news_items` WRITE;
/*!40000 ALTER TABLE `news_items` DISABLE KEYS */;
INSERT INTO `news_items` VALUES (1,'Double dose Butreco','/demo/news1.jpg','Only this Tuesday','Only this Tuesday! Buy one Butreco and get double dose for free! Promotion is available until Butreco in stock.','2021-03-09 04:48:29','2021-03-09 04:48:29',1),(2,'New carrot juice is available for delivery now','/demo/news2.jpg','Refresh yourself!','Bringing healthy drinks! We are starting to deliver new absolutely amazing carrot juice just for $5/portion.','2021-03-09 04:48:29','2021-03-09 04:48:29',1),(3,'Seafood menu','/demo/news3.jpg','New protein-reach menu, shrimps and other amazing seafood','Grilled shrimps, seabass and lobster in garlic sauce - discover now in our menu!','2021-03-09 04:48:29','2021-03-09 04:48:29',1);
/*!40000 ALTER TABLE `news_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_statuses`
--

DROP TABLE IF EXISTS `order_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_statuses` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sort` int NOT NULL DEFAULT '500',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `available_to_delivery_boy` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_statuses`
--

LOCK TABLES `order_statuses` WRITE;
/*!40000 ALTER TABLE `order_statuses` DISABLE KEYS */;
INSERT INTO `order_statuses` VALUES (1,'Created',1,1,'2021-03-09 04:48:29','2021-03-09 04:48:29','0'),(2,'Processing',500,0,'2021-03-09 04:48:29','2021-03-09 04:48:29','0'),(3,'En Route',550,0,'2021-03-09 04:48:29','2021-03-09 04:48:29','0'),(4,'Delivered',600,0,'2021-03-09 04:48:29','2021-03-09 04:48:29','1'),(5,'Cancelled',650,0,'2021-03-09 04:48:29','2021-03-09 04:48:29','1');
/*!40000 ALTER TABLE `order_statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ordered_products`
--

DROP TABLE IF EXISTS `ordered_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ordered_products` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int unsigned NOT NULL,
  `order_id` int unsigned NOT NULL,
  `price` double(8,2) NOT NULL,
  `count` int unsigned NOT NULL,
  `product_data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `options_data` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ordered_products`
--

LOCK TABLES `ordered_products` WRITE;
/*!40000 ALTER TABLE `ordered_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ordered_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orders`
--

DROP TABLE IF EXISTS `orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `orders` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lat` double(8,2) DEFAULT NULL,
  `lng` double(8,2) DEFAULT NULL,
  `total` double(8,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `delivery_area_id` int unsigned DEFAULT NULL,
  `delivery_price` double(8,2) NOT NULL DEFAULT '0.00',
  `promo_code` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `promo_discount` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `promo_code_id` int DEFAULT NULL,
  `payment_method` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'cash',
  `stripe_token` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `is_paid` tinyint(1) NOT NULL DEFAULT '0',
  `paypal_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `tax` double(8,2) NOT NULL DEFAULT '0.00',
  `total_with_tax` double(8,2) NOT NULL DEFAULT '0.00',
  `restaurant_id` int unsigned DEFAULT NULL,
  `city_id` bigint unsigned DEFAULT NULL,
  `customer_id` int unsigned DEFAULT NULL,
  `delivery_boy_id` int unsigned DEFAULT NULL,
  `order_status_id` int unsigned DEFAULT NULL,
  `comment` text COLLATE utf8mb4_unicode_ci,
  `loyalty` int NOT NULL DEFAULT '0',
  `rating` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `orders_restaurant_id_foreign` (`restaurant_id`),
  KEY `orders_city_id_foreign` (`city_id`),
  KEY `orders_customer_id_foreign` (`customer_id`),
  KEY `orders_delivery_boy_id_foreign` (`delivery_boy_id`),
  KEY `orders_order_status_id_foreign` (`order_status_id`),
  CONSTRAINT `orders_city_id_foreign` FOREIGN KEY (`city_id`) REFERENCES `cities` (`id`) ON DELETE SET NULL,
  CONSTRAINT `orders_customer_id_foreign` FOREIGN KEY (`customer_id`) REFERENCES `customers` (`id`) ON DELETE SET NULL,
  CONSTRAINT `orders_delivery_boy_id_foreign` FOREIGN KEY (`delivery_boy_id`) REFERENCES `delivery_boys` (`id`) ON DELETE SET NULL,
  CONSTRAINT `orders_order_status_id_foreign` FOREIGN KEY (`order_status_id`) REFERENCES `order_statuses` (`id`) ON DELETE SET NULL,
  CONSTRAINT `orders_restaurant_id_foreign` FOREIGN KEY (`restaurant_id`) REFERENCES `restaurants` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orders`
--

LOCK TABLES `orders` WRITE;
/*!40000 ALTER TABLE `orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_resets`
--

DROP TABLE IF EXISTS `password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_resets` (
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_resets`
--

LOCK TABLES `password_resets` WRITE;
/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_images`
--

DROP TABLE IF EXISTS `product_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_images`
--

LOCK TABLES `product_images` WRITE;
/*!40000 ALTER TABLE `product_images` DISABLE KEYS */;
INSERT INTO `product_images` VALUES (1,'/demo/product1.jpg',1,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(2,'/demo/product2.jpg',2,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(3,'/demo/product3.jpg',3,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(4,'/demo/product4.jpg',4,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(5,'/demo/product5.jpg',5,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(6,'/demo/product6.jpg',6,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(7,'/demo/product7.jpg',7,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(8,'/demo/product8.jpg',8,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(9,'/demo/product9.jpg',9,'2021-03-09 04:48:29','2021-03-09 04:48:29'),(10,'/demo/product10.jpg',10,'2021-03-09 04:48:29','2021-03-09 04:48:29');
/*!40000 ALTER TABLE `product_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_options`
--

DROP TABLE IF EXISTS `product_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `price` double(8,2) NOT NULL DEFAULT '0.00',
  `product_id` bigint unsigned NOT NULL,
  `sort` int NOT NULL DEFAULT '500',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `category` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `product_options_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_options`
--

LOCK TABLES `product_options` WRITE;
/*!40000 ALTER TABLE `product_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `products`
--

DROP TABLE IF EXISTS `products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `products` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `price` double(8,2) NOT NULL,
  `price_old` double(8,2) DEFAULT NULL,
  `category_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tax_group_id` int unsigned DEFAULT NULL,
  `sort` int NOT NULL DEFAULT '500',
  `required_options_heading` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `products_tax_group_id_foreign` (`tax_group_id`),
  CONSTRAINT `products_tax_group_id_foreign` FOREIGN KEY (`tax_group_id`) REFERENCES `tax_groups` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `products`
--

LOCK TABLES `products` WRITE;
/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` VALUES (1,'Coca Cola','A 0.33l can of legendary Coke',1.80,NULL,2,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(2,'Carrot juice','Refreshing carrot juice for your health. 0.5l plastic bottle on delivery',2.30,NULL,2,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(3,'Sausage pizza','Amazing pizza, full of pure Italian sausages and salami',9.50,NULL,1,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(4,'Margherita','Famous Italian four-cheeze pizza, reach of mozzarella',8.50,NULL,1,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(5,'Vegetarian','Vegetarian pizza, with increased amount of cucumber and tomatoes',9.00,NULL,1,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(6,'Bolognese with cheese','Classic Bolognese spaghetti recipe, improved with additional cheese',12.00,NULL,5,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(7,'Shrimps pasta','High-protein pasta recipe with steamed tiger shrimps',14.00,NULL,5,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(8,'Cream cheese pasta','Pasta with ricotta cheese and basil leaves',14.00,NULL,5,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(9,'Pad Thai','Classical Thai meal with noodles, tofu and beans',11.00,NULL,4,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,''),(10,'Egg Noodles','Egg Noodle with spices and leaves',8.50,NULL,4,'2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,500,'');
/*!40000 ALTER TABLE `products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `promo_codes`
--

DROP TABLE IF EXISTS `promo_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `promo_codes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `code` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `discount` double(8,2) NOT NULL,
  `discount_in_percent` tinyint(1) NOT NULL,
  `min_price` double(8,2) NOT NULL DEFAULT '0.00',
  `limit_use_count` int NOT NULL,
  `times_used` int NOT NULL DEFAULT '0',
  `active_from` datetime NOT NULL,
  `active_to` datetime NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `restaurant_id` int unsigned DEFAULT NULL,
  `city_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `promo_codes_restaurant_id_foreign` (`restaurant_id`),
  KEY `promo_codes_city_id_foreign` (`city_id`),
  CONSTRAINT `promo_codes_city_id_foreign` FOREIGN KEY (`city_id`) REFERENCES `cities` (`id`) ON DELETE SET NULL,
  CONSTRAINT `promo_codes_restaurant_id_foreign` FOREIGN KEY (`restaurant_id`) REFERENCES `restaurants` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `promo_codes`
--

LOCK TABLES `promo_codes` WRITE;
/*!40000 ALTER TABLE `promo_codes` DISABLE KEYS */;
INSERT INTO `promo_codes` VALUES (1,'$5 discount for orders above $30','simple',5.00,0,30.00,0,0,'2021-03-09 00:00:00','2050-01-01 00:00:00','2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,NULL),(2,'30% discount for orders above $100','percent',30.00,1,100.00,0,0,'2021-03-09 00:00:00','2050-01-01 00:00:00','2021-03-09 04:48:29','2021-03-09 04:48:29',NULL,NULL);
/*!40000 ALTER TABLE `promo_codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `push_messages`
--

DROP TABLE IF EXISTS `push_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `push_messages` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `message` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `status` int NOT NULL DEFAULT '0',
  `error` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `customer_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `push_messages_customer_id_foreign` (`customer_id`),
  CONSTRAINT `push_messages_customer_id_foreign` FOREIGN KEY (`customer_id`) REFERENCES `customers` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `push_messages`
--

LOCK TABLES `push_messages` WRITE;
/*!40000 ALTER TABLE `push_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `push_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `required_options`
--

DROP TABLE IF EXISTS `required_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `required_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `price` double(8,2) NOT NULL DEFAULT '0.00',
  `product_id` bigint unsigned NOT NULL,
  `sort` int NOT NULL DEFAULT '500',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `required_options_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `required_options`
--

LOCK TABLES `required_options` WRITE;
/*!40000 ALTER TABLE `required_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `required_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `restaurant_user`
--

DROP TABLE IF EXISTS `restaurant_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `restaurant_user` (
  `restaurant_id` int unsigned NOT NULL,
  `user_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  KEY `restaurant_user_restaurant_id_foreign` (`restaurant_id`),
  KEY `restaurant_user_user_id_foreign` (`user_id`),
  CONSTRAINT `restaurant_user_restaurant_id_foreign` FOREIGN KEY (`restaurant_id`) REFERENCES `restaurants` (`id`) ON DELETE CASCADE,
  CONSTRAINT `restaurant_user_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `restaurant_user`
--

LOCK TABLES `restaurant_user` WRITE;
/*!40000 ALTER TABLE `restaurant_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `restaurant_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `restaurants`
--

DROP TABLE IF EXISTS `restaurants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `restaurants` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sort` int NOT NULL DEFAULT '500',
  `city_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `work_hours` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `display_on_welcome_page` tinyint(1) NOT NULL DEFAULT '0',
  `welcome_page_order` int NOT NULL DEFAULT '500',
  `wh_monday_start` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_tuesday_start` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_wednesday_start` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_thursday_start` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_friday_start` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_saturday_start` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_sunday_start` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_monday_end` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_tuesday_end` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_wednesday_end` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_thursday_end` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_friday_end` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_saturday_end` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `wh_sunday_end` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `rating` double(8,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `restaurants`
--

LOCK TABLES `restaurants` WRITE;
/*!40000 ALTER TABLE `restaurants` DISABLE KEYS */;
INSERT INTO `restaurants` VALUES (1,'Default restaurant','',500,1,'2021-03-09 04:48:29','2021-03-09 04:48:29','',0,500,'','','','','','','','','','','','','','',0.00);
/*!40000 ALTER TABLE `restaurants` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sessions` (
  `id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `payload` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_activity` int NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sessions_user_id_index` (`user_id`),
  KEY `sessions_last_activity_index` (`last_activity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `pushwoosh_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `pushwoosh_token` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `date_format` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'd/m/Y H:i',
  `currency_format` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `delivery_price` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `gcm_project_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `notification_email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `notification_phone` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `mail_from_mail` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `mail_from_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `mail_from_new_order_subject` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `stripe_publishable` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `stripe_private` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `paypal_client_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `paypal_client_secret` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `paypal_currency` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `tax_included` tinyint(1) NOT NULL DEFAULT '0',
  `multiple_restaurants` tinyint(1) NOT NULL DEFAULT '0',
  `multiple_cities` tinyint(1) NOT NULL DEFAULT '0',
  `signup_required` tinyint(1) NOT NULL DEFAULT '0',
  `paypal_production` tinyint(1) NOT NULL DEFAULT '0',
  `time_format_backend` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'd/M/Y H:i',
  `time_format_app` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'dd/MM/yyyy HH:mm',
  `date_format_app` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'dd/MM/yyyy',
  `driver_onesignal_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `driver_onesignal_token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `products_layout` int NOT NULL DEFAULT '0',
  `categories_layout` int NOT NULL DEFAULT '0',
  `loyalty_points_per_order` int NOT NULL DEFAULT '10',
  `loyalty_points_for_reward` int NOT NULL DEFAULT '100',
  `loyalty_reward_amount` double(8,2) NOT NULL DEFAULT '16.00',
  `loyalty_points_per_amount` int NOT NULL DEFAULT '16',
  `send_push_on_status_change` tinyint(1) NOT NULL DEFAULT '1',
  `contact_us` text COLLATE utf8mb4_unicode_ci,
  `app_layout` int NOT NULL DEFAULT '0',
  `start_page` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'news',
  `restaurants_page` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'categories',
  `google_maps_api_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'d3586e71-420f-4897-8104-d0b867d9f5d2','YzhlMWUyNTItMDBiZi00ZTA5LWEwYjktNzgxNmM4YzZjZTYx','d/m/Y','$:value','0','2021-03-09 04:48:29','2021-03-09 04:48:29','','creminds@gmail.com','','ivanlarionow@yandex.ru','Vovan','New order for Hot & Grill','pk_test_F7fD6C9kljTHr30bbXKHLL9i','sk_test_0uGCMtnsyKF9LSHiWkz6nRu7','AQHuOFSbSA8TZKTsx6UzNVpUEVaHsRwh9ngcKh4MK4tDwPzLoblz1pe2TFz2GL9YrKqW3ESrxFqimEld','EFETtYfuzPoML4KPmfdlG82ocse7qLF5_jxQYubuXIrUl2LmIqJQn_UAo9csWNAji7lGnOd-_8MA6XrT','USD',0,0,0,1,0,'d/M/Y H:i','dd/MM/yyyy HH:mm','dd/MM/yyyy','3208a466-1715-4286-90af-b8c87c44a550','MzNlZTBiNjQtMjE0YS00Nzg0LTg5MDEtZmIxN2UyMzJmMDEy',0,0,10,100,16.00,16,1,NULL,0,'news','categories','');
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tax_groups`
--

DROP TABLE IF EXISTS `tax_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tax_groups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `value` double(8,2) NOT NULL DEFAULT '0.00',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tax_groups`
--

LOCK TABLES `tax_groups` WRITE;
/*!40000 ALTER TABLE `tax_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `tax_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `two_factor_secret` text COLLATE utf8mb4_unicode_ci,
  `two_factor_recovery_codes` text COLLATE utf8mb4_unicode_ci,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `current_team_id` bigint unsigned DEFAULT NULL,
  `profile_photo_path` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `access_full` tinyint(1) NOT NULL DEFAULT '1',
  `access_news` tinyint(1) NOT NULL DEFAULT '1',
  `access_categories` tinyint(1) NOT NULL DEFAULT '1',
  `access_products` tinyint(1) NOT NULL DEFAULT '1',
  `access_orders` tinyint(1) NOT NULL DEFAULT '1',
  `access_customers` tinyint(1) NOT NULL DEFAULT '1',
  `access_pushes` tinyint(1) NOT NULL DEFAULT '1',
  `access_delivery_areas` tinyint(1) NOT NULL DEFAULT '1',
  `access_promo_codes` tinyint(1) NOT NULL DEFAULT '1',
  `access_tax_groups` tinyint(1) NOT NULL DEFAULT '1',
  `access_cities` tinyint(1) NOT NULL DEFAULT '1',
  `access_restaurants` tinyint(1) NOT NULL DEFAULT '1',
  `access_settings` tinyint(1) NOT NULL DEFAULT '1',
  `access_users` tinyint(1) NOT NULL DEFAULT '1',
  `access_delivery_boys` tinyint(1) NOT NULL DEFAULT '1',
  `access_order_statuses` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'admin','admin@example.com',NULL,'$2y$10$pmgrew9QNKj8.3dyoBf5K.hm0li4yMlojEJLNhGxpaJoBxBdz4t/m',NULL,NULL,NULL,NULL,NULL,'2021-03-09 04:48:29','2021-03-09 04:48:29',1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vendors`
--

DROP TABLE IF EXISTS `vendors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vendors` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sort` int NOT NULL DEFAULT '500',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vendors`
--

LOCK TABLES `vendors` WRITE;
/*!40000 ALTER TABLE `vendors` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendors` ENABLE KEYS */;
UNLOCK TABLES;
/*!50112 SET @disable_bulk_load = IF (@is_rocksdb_supported, 'SET SESSION rocksdb_bulk_load = @old_rocksdb_bulk_load', 'SET @dummy_rocksdb_bulk_load = 0') */;
/*!50112 PREPARE s FROM @disable_bulk_load */;
/*!50112 EXECUTE s */;
/*!50112 DEALLOCATE PREPARE s */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-03-09 12:48:39
