<x-app-layout>

    <h4 class="c-grey-900 mT-10 mB-30">
        {{ __('messages.cuisines.menu_title') }}
    </h4>

    <div class="bgc-white bd bdrs-3 p-20 mB-20">
        <form method="post" action="@if ($item->id == null) {{ route('cuisines.store') }} @else {{ route('cuisines.update', ['cuisine' => $item->id]) }} @endif" enctype="multipart/form-data">
            {{ csrf_field() }}
            @if ($item->id != null)
                {{ method_field('PUT') }}
            @endif

            <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
                <label for="" class="control-label">{{__('messages.cuisines.f_name')}}</label>
                <input type="text" class="form-control" value="{{$item->name}}" name="name" required/>
                @if ($errors->has('name'))
                    <span class="help-block">
                        <strong>{{ $errors->first('name') }}</strong>
                    </span>
                @endif
            </div>

            <div class="form-group {{ $errors->has('sort') ? ' has-error' : '' }}">
                <label for="" class="control-label">{{__('messages.cuisines.f_sort')}}</label>
                <input type="text" class="form-control" value="{{$item->sort}}" name="sort" required/>
                @if ($errors->has('sort'))
                    <span class="help-block">
                        <strong>{{ $errors->first('sort') }}</strong>
                    </span>
                @endif
            </div>

            <div class="form-group">
                <label for="" class="control-label">{{__('messages.cuisines.f_image')}}</label>
                @if ($item->image != null)
                    <div class="img-container">
                        <div class="row">
                            <div class="col-xs-6">
                                <img src="{{ $item->image }}" alt="" class="img-fluid">
                            </div>
                        </div>
                    </div>
                    <br/>
                @endif
                <input type="file" name="image">
            </div>

            <button type="submit" class="btn btn-primary btn-block">{{__('messages.actions.save')}}</button>
        </form>
</x-app-layout>
