<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\CategoriesController;
use App\Http\Controllers\NewsItemsController;
use App\Http\Controllers\ProductsController;
use App\Http\Controllers\OrdersController;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\PushMessagesController;
use App\Http\Controllers\DeliveryAreasController;
use App\Http\Controllers\PromoCodesController;
use App\Http\Controllers\TaxGroupsController;
use App\Http\Controllers\CitiesController;
use App\Http\Controllers\RestaurantsController;
use App\Http\Controllers\CustomersController;
use App\Http\Controllers\OrderedProductsController;
use App\Http\Controllers\OrderStatusesController;
use App\Http\Controllers\UsersController;
use App\Http\Controllers\DeliveryBoysController;
use App\Http\Controllers\DeliveryBoyMessagesController;
use App\Http\Controllers\DisabledDatesController;

Route::get('/', [LoginController::class, 'showLoginForm']);
Route::get('/logout', [LoginController::class, 'logout']);

Auth::routes();

Route::group(['middleware' => ['auth']], function() {
    Route::get('/home', [HomeController::class, 'index'])->name('home');
    Route::get('/dashboard', [HomeController::class, 'index'])->name('dashboard');
    Route::post('/category/{id}/up', [CategoriesController::class, 'up'])
        ->name('category_up');
    Route::post('/category/{id}/down', [CategoriesController::class, 'down'])
        ->name('category_down');
    Route::resource('categories', CategoriesController::class);
    Route::get('/products/autocomplete', [ProductsController::class, 'autocomplete']);
    Route::resource('products', ProductsController::class);
    Route::post('/product_image/{id}/delete', [ProductsController::class, 'deleteImage'])
        ->name('products.delete_image');
    Route::put('/orders/{id}/boy', [OrdersController::class, 'setDeliveryBoy'])
        ->name('orders.update_boy');
    Route::resource('disabled_dates', DisabledDatesController::class);
    Route::resource('cuisines', \App\Http\Controllers\CuisinesController::class);
    Route::resource('orders', OrdersController::class);
    Route::resource('news_items', NewsItemsController::class);
    Route::resource('settings', SettingsController::class);
    Route::resource('push_messages', PushMessagesController::class);
    Route::resource('delivery_areas', DeliveryAreasController::class);
    Route::resource('promo_codes', PromoCodesController::class);
    Route::resource('tax_groups', TaxGroupsController::class);
    Route::resource('cities', CitiesController::class);
    Route::resource('restaurants', RestaurantsController::class);
    Route::resource('customers', CustomersController::class);
    Route::resource('ordered_products', OrderedProductsController::class);
    Route::resource('order_statuses', OrderStatusesController::class);
    Route::resource('users', UsersController::class);
    Route::resource('delivery_boys', DeliveryBoysController::class);
    Route::resource('delivery_boy_messages', DeliveryBoyMessagesController::class);
});
